Page MenuHomePhabricator

Weekly reports for Implement Thanks support in Pywikibot
Closed, ResolvedPublic

Description

Community bonding

May 4–20

  • Nothing

May 21–29

  • Wrote wikitech reply.
  • Wrote first blog post.
  • Held meeting with mentor. Results included:
    • Adding server-side tasks (specific tasks TBD)
    • Developing high-level schema for changes.
    • Agreeing that the script generating tables for aggregate data does not need to be merged, as long as it is posted to GitHub with tests.
    • Discussing what can be saved from last year's attempt and what needs to go.
  • Reviewed previous work on the project goals.

Coding

May 30–June 7

  • Meeting on June 1
    • Discussed what to salvage from last year's normal revision patch.
    • Revised old patch.

June 8–June 14

  • Meeting on June 8
    • Last year's patch merged.
  • Started new patch
    • Wrote new tests
    • Discussed design question on handling self-thanks.
  • Meeting on June 13
    • Discussed written tests
    • Started work on planning Flow post handling. Agreed that a new patch would be submitted.
    • Noted future work on log entries.

June 15–June 21

  • Meeting on June 15
    • Noted that I was ahead of schedule.
  • Started work on log entry patches.
    • Added thanks log entry class.
    • Added tests.
  • Global meeting on June 21
    • Received answers to my evaluation questions.

June 22–June 28

  • Meeting on June 22
    • Discussed finishing weekly reports and blog posts.
    • Finished work on log entry patches.
    • Discussed existing prior patches that I posted.
    • Agreed to changes to my project timeline.
  • Log entry patches were merged.

June 29–July 5

  • June 29 meeting rescheduled for July 3
  • Meeting on July 3
    • Posted screencast of simple bot that thanks random testwiki pages (link)

July 6–July 12

  • Meeting on July 6
    • Decided to move up bot script (phase 3)

July 13–July 19

  • Started work on thanks reporting script.
  • Meeting on July 13
    • Discussed repository requirements

July 20–July 26

  • Wrote passing tests for the script.
  • Meeting on July 20
    • Discussed my mailing list submission.

July 27–August 2

  • Meeting canceled due to mentor unavailability
  • Worked more on Flow thanking patch

August 3–August 9

  • Weekly meeting
  • Finished Flow thanking patch

August 10–August 16

  • Meeting canceled due to finals/project

August 17–August 23

  • Weekly meeting
  • Posted Thanks notification-change logging patch as WIP
  • Fixed up Flow revision patch

August 24–August 29

  • Final evaluation

Event Timeline

happy5214 created this task.May 4 2017, 7:43 PM
Restricted Application added a subscriber: Mattflaschen-WMF. · View Herald TranscriptMay 4 2017, 7:43 PM
happy5214 moved this task from Backlog to GSoC on the Pywikibot-Thanks board.
happy5214 added a subscriber: jayvdb.
happy5214 updated the task description. (Show Details)May 21 2017, 8:45 PM
happy5214 updated the task description. (Show Details)May 30 2017, 11:48 PM
Mvolz added a subscriber: Mvolz.EditedJun 15 2017, 8:44 AM

Hi @happy5214 , can you keep this updated? We are missing 3 reports from you here. Thanks!

happy5214 updated the task description. (Show Details)Jun 15 2017, 6:36 PM

Hi @happy5214 , can you keep this updated? We are missing 3 reports from you here. Thanks!

Three? I only count two since the start of coding. There was no work done before May 21.

Sumit added a comment.Jun 27 2017, 6:22 AM

Hi, a gentle reminder to update weekly report.

happy5214 updated the task description. (Show Details)Jun 28 2017, 3:19 AM
Restricted Application added a subscriber: pywikibot-bugs-list. · View Herald TranscriptJul 10 2017, 11:06 AM
happy5214 updated the task description. (Show Details)Jul 27 2017, 11:02 PM
happy5214 updated the task description. (Show Details)Aug 29 2017, 2:46 AM
jayvdb closed this task as Resolved.Aug 29 2017, 3:03 AM